> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nitrotranslate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rates

> Current pricing rates for all supported language pairs.



## OpenAPI

````yaml GET /v1/rates
openapi: 3.1.0
info:
  title: NitroTranslate API
  description: Human Translation API
  version: 0.1.1
servers:
  - url: https://api.nitrotranslate.com
    description: NitroTranslate
security:
  - BasicAuth: []
  - BearerAuth: []
  - PaymentAuth: []
paths:
  /v1/rates:
    get:
      summary: ListRates
      description: Current pricing rates for all supported language pairs.
      operationId: RateService_ListRates
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/nitrotranslate.v1.Rate'
                title: rates
components:
  schemas:
    nitrotranslate.v1.Rate:
      type: object
      properties:
        source_language:
          type: string
          title: source_language
        target_language:
          type: string
          title: target_language
        rate:
          type: number
          title: rate
          format: double
          description: Rate per 1000 characters, in US dollars.
      title: Rate
      additionalProperties: false
      description: Per-language-pair price produced by ListRates.
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque
    PaymentAuth:
      type: http
      description: >-
        MPP payment authorization, sent as `Authorization: Payment
        <credential>`.
      scheme: payment

````